Error message: Error: Unable to mkdir /home/


(LEo1234) #1

I uploaded -piwik- folder and browsed .com/piwik and I got this error message:

Error: Unable to mkdir /home/(my hosting user name)/domains/(my site’s name)/public_html/piwik/tmp/sessions

How to proceed with the installation of Piwik? Thanks.


(nws-biker) #2

^^ same problem style_emoticons/<#EMO_DIR#>/mellow.gif

Error: Unable to mkdir /var/www/vhosts/XXXXXXXX.ch/httpdocs/piwik/tmp/sessions

greets and thx from switzerland


(vipsoft) #3

[quote=nws-biker @ Apr 8 2010, 11:00 PM]^^ same problem style_emoticons/<#EMO_DIR#>/mellow.gif

Error: Unable to mkdir /var/www/vhosts/XXXXXXXX.ch/httpdocs/piwik/tmp/sessions

greets and thx from switzerland[/quote]
chmod the tmp folder so the web server process has permission to write there


(nws-biker) #4

many thanks. but… the directory “sessions” doesnt exist in folder “tmp”. this is to do manually and also set to chmod on 777.
and the next problem wich is shown:

To run Piwik you need at least PHP version 5.1.3

Unfortunately it seems your webserver is using PHP version 4.3.9.

Please try to update your PHP version, Piwik is really worth it! Nowadays most web hosts support PHP 5.1.3.

this is now my (and others) next problem, beaucause there are many other programms on the server and i dont know if a new php version ist compatible

perhaps ist there a german forum, my english is shurely a katastrophe, sorry.
i am shur that nobody understand my test.

style_emoticons/<#EMO_DIR#>/cool.gif

i can better read and unserstand than speaking or writing.

sorry and greets


(Beatgarantie) #5

you have to have the specified PHP version… It is not possible to run Piwik with an older version of PHP.
Maybe you have a fast-cgi configured server so that you can switch to the current version in the Piwik folder…

Um Piwik zu nutzen, benötigst Du die entprechende Version.
Vielleicht kannst Du über die Servereinstellungen schauen, ob Du für den Piwik Order auf eine neuere Version wechseln kannst.


(vipsoft) #6

See http://piwik.org/faq/how-to-install/#faq_77